Subject: bug#10352: closed (Re: bug#10352: Broken pipe while generating guile-procedures.txt)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 Jan 2012 22:55:03 +0000

Your bug report

#10352: Broken pipe while generating guile-procedures.txt

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10352: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10352
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10352: Broken pipe while generating guile-procedures.txt
From: Ian Price <[email-masked]>
To: Andy Wingo <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Jan 2012 22:46:35 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Andy Wingo <[email-masked]> writes:

> I reverted 47ed8656db8800f3ad20a40eb2c4e9ef3dc891e3 as you suggested and
> fixed the two other SCM_HEAP_OBJECT_BASE uses.  Can you try again?

Yes, it builds now. Thanks.

-- 
Ian Price

"Programming is like pinball. The reward for doing it well is
the opportunity to do it again" - from "The Wizardy Compiled"

Subject: Broken pipe while generating guile-procedures.txt
From: Ian Price <[email-masked]>
To: [email-masked]
Date: Thu, 22 Dec 2011 21:37:35 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guilers,

I am unable to completely build master due to a broken pipe while
building guile-procedures.txt.

~/src/guile $ make
/usr/bin/make  all-recursive
make[1]: Entering directory `/home/ian/src/guile'
Making all in lib
make[2]: Entering directory `/home/ian/src/guile/lib'
/usr/bin/make  all-recursive
make[3]: Entering directory `/home/ian/src/guile/lib'
make[4]: Entering directory `/home/ian/src/guile/lib'
make[4]: Nothing to be done for `all-am'.
make[4]: Leaving directory `/home/ian/src/guile/lib'
make[3]: Leaving directory `/home/ian/src/guile/lib'
make[2]: Leaving directory `/home/ian/src/guile/lib'
Making all in meta
make[2]: Entering directory `/home/ian/src/guile/meta'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/home/ian/src/guile/meta'
Making all in libguile
make[2]: Entering directory `/home/ian/src/guile/libguile'
/usr/bin/make  all-am
make[3]: Entering directory `/home/ian/src/guile/libguile'
  GEN    guile-procedures.texi
Throw without catch before boot:
Throw to key misc-error with args ("module-transformer" "no module, and `macroexpand' unbound" () #f)Aborting.
cat: write error: Broken pipe
/bin/sh: line 1:  9929 Done(1)                 cat alist.doc arbiters.doc array-handle.doc array-map.doc arrays.doc async.doc backtrace.doc boolean.doc bitvectors.doc bytevectors.doc chars.doc control.doc continuations.doc debug.doc deprecated.doc deprecation.doc dynl.doc dynwind.doc eq.doc error.doc eval.doc evalext.doc expand.doc extensions.doc feature.doc filesys.doc fluids.doc foreign.doc fports.doc gc-malloc.doc gc.doc gettext.doc generalized-arrays.doc generalized-vectors.doc goops.doc gsubr.doc guardians.doc hash.doc hashtab.doc hooks.doc i18n.doc init.doc ioext.doc keywords.doc list.doc load.doc macros.doc mallocs.doc memoize.doc modules.doc numbers.doc objprop.doc options.doc pairs.doc ports.doc print.doc procprop.doc procs.doc promises.doc r6rs-ports.doc random.doc rdelim.doc read.doc root.doc rw.doc scmsigs.doc script.doc simpos.doc smob.doc sort.doc srcprop.doc srfi-1.doc srfi-4.doc srfi-13.doc srfi-14.doc srfi-60.doc stackchk.doc stacks.doc stime.doc strings.doc strorder.doc strports.doc struct.doc symbols.doc threads.doc throw.doc trees.doc uniform.doc values.doc variable.doc vectors.doc version.doc vports.doc weak-set.doc weak-table.doc weak-vector.doc dynl.doc posix.doc net_db.doc socket.doc regex-posix.doc
      9930 Aborted                 (core dumped) | GUILE_AUTO_COMPILE=0 ../meta/uninstalled-env guild snarf-check-and-output-texi > guile-procedures.texi
make[3]: *** [guile-procedures.texi] Error 1
make[3]: Leaving directory `/home/ian/src/guile/libguile'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/ian/src/guile/libguile'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/ian/src/guile'
make: *** [all] Error 2

This is on 32 bit x86 running fedora 16, and current master
(296004b3ba34139292eb1d8bf54739ee1a082712). I did have success building
at one point if I reverted the 47ed8656db8800f3ad20a40eb2c4e9ef3dc891e3
commit which adds SCM_HEAP_OBJECT_BASE, but that was around the
beginning of November (0f9f51a153db3e669a12c416c4958d71bd3c2a8b ish),
but trying the same on current master gives

<snip>
  CC     net_db.lo
  CC     socket.lo
  CC     regex-posix.lo
  CCLD   libguile-2.2.la
  CC     guile-guile.o
  CCLD   guile
./.libs/libguile-2.2.so: undefined reference to `SCM_HEAP_OBJECT_BASE'
collect2: ld returned 1 exit status
make[3]: *** [guile] Error 1
make[3]: Leaving directory `/home/ian/src/guile/libguile'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/ian/src/guile/libguile'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/ian/src/guile'
make: *** [all] Error 2

so clearly that's not enough anymore, and I would need to see which
other commits depend on SCM_HEAP_OBJECT_BASE before I could definitively
say.

If you need anything else, I'll be happy to provide.

-- 
Ian Price

"Programming is like pinball. The reward for doing it well is
the opportunity to do it again" - from "The Wizardy Compiled"